<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:wsp="http://www.w3.org/ns/ws-policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:tns="http://webservice.ics.toyota.co.id/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsp1_2="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" name="icswebservice" targetNamespace="http://webservice.ics.toyota.co.id/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <xsd:schema>
      <xsd:import schemaLocation="http://10.16.25.214:8080/ICSWS/icswebservice?xsd=1" namespace="http://webservice.ics.toyota.co.id/" />
    </xsd:schema>
  </types>
  <message name="execute">
    <part name="parameters" element="tns:execute" />
  </message>
  <message name="executeResponse">
    <part name="parameters" element="tns:executeResponse" />
  </message>
  <portType name="WebServiceImpl">
    <operation name="execute">
      <input wsam:Action="http://webservice.ics.toyota.co.id/WebServiceImpl/executeRequest" message="tns:execute" />
      <output wsam:Action="http://webservice.ics.toyota.co.id/WebServiceImpl/executeResponse" message="tns:executeResponse" />
    </operation>
  </portType>
  <binding name="WebServiceImplPortBinding" type="tns:WebServiceImpl">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <operation name="execute">
      <soap:operation soapAction="" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <service name="icswebservice">
    <port name="WebServiceImplPort" binding="tns:WebServiceImplPortBinding">
      <soap:address location="http://10.16.25.214:8080/ICSWS/icswebservice" />
    </port>
  </service>
</definitions>